# Uses of Interface
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.WebAuthnJDBCReadAllAccelerator

Packages that use WebAuthnJDBCReadAllAccelerator
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.storage.impl
This package has storage implementations for WebAuthn.

## Uses of WebAuthnJDBCReadAllAccelerator in net.shibboleth.idp.plugin.authn.webauthn.storage.impl

Classes in net.shibboleth.idp.plugin.authn.webauthn.storage.impl that implement WebAuthnJDBCReadAllAccelerator
Modifier and Type
Class
Description
`final class`
`WebAuthnJDBCAcceleratorImpl`
Implementation of a `WebAuthnJDBCQueryAccelerator` and `WebAuthnJDBCReadAllAccelerator` that uses specialized queries to lookup credentials by userHandle and credentialId.
Fields in net.shibboleth.idp.plugin.authn.webauthn.storage.impl declared as WebAuthnJDBCReadAllAccelerator
Modifier and Type
Field
Description
`private final WebAuthnJDBCReadAllAccelerator`
QueryByAllStrategy.`queryAccelerator`
The query accelerator used to lookup credentials.
`private final WebAuthnJDBCReadAllAccelerator`
ReadAllCacheLoadingStrategy.`queryAccelerator`
The query accelerator used to lookup credentials.
Constructors in net.shibboleth.idp.plugin.authn.webauthn.storage.impl with parameters of type WebAuthnJDBCReadAllAccelerator
Modifier
Constructor
Description
``
`QueryByAllStrategy(WebAuthnJDBCReadAllAccelerator accelerator)`
Constructor.
``
`ReadAllCacheLoadingStrategy(WebAuthnJDBCReadAllAccelerator accelerator)`
Constructor.